Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class ProtectedScreen

    java.lang.Object
      com.mindbright.terminal.tandem6530.ProtectedScreen

All Implemented Interfaces:
  AsciiCodes

public class ProtectedScreen
extends java.lang.Object
implements AsciiCodes

Field Summary
`protected Position` | `buffer`
`protected int` | `COLS`
`protected Position` | `cursor`
`protected FieldAttributes` | `defaultField`
`protected Position` | `END`
`protected Position` | `HOME`
`protected FieldMap` | `map`
`protected ProtectBlockMode` | `parent`
`protected int` | `ROWS`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`ProtectedScreen(int rows, int cols, DataType dataTypeTable)`
`ProtectedScreen(ProtectBlockMode parent, int rows, int cols, DataType dataTypeTable)`

Method Summary
`void` | `addField(FieldAttributes attribs)`
`void` | `addField(Position p, FieldAttributes attribs)`
`protected void` | `back()`
`protected void` | `back(Position p)`
`protected void` | `back(Position p, boolean recursive)`
`void` | `bufferWrite(char c)`
`void` | `cursorToLastCharInField()`
`void` | `cursorToNextUnprotected(int numLines)`
`boolean` | `cursorWrite(char c)`
`boolean` | `cursorWrite(char c, boolean insertMode)`
`void` | `doBackspace()`
`void` | `doBackTab()`
`void` | `doCarriageReturn()`
`void` | `doClearMemoryToSpaces(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doCursorDown()`
`void` | `doCursorHome()`
`void` | `doCursorHomeDown()`
`void` | `doCursorRight()`
`void` | `doCursorUp()`
`void` | `doDeleteCharacter(boolean atCursor)`
`void` | `doDeleteLine()`
`void` | `doEraseToEndOfLineOrField(boolean atCursor)`
`void` | `doEraseToEndOfPageOrMemory(boolean atCursor)`
`void` | `doHTab()`
`void` | `doInsertCharacter(boolean atCursor)`
`void` | `doInsertLine()`
`void` | `doLineFeed()`
`void` | `doResetMoifiedDataTags()`
`protected void` | `forward()`
`protected void` | `forward(Position p)`
`int[]` | `getAttribs(int row)`
`Position` | `getBufferAddress()`
`char[]` | `getChars(int row)`
`Position` | `getCursorAddress()`
`protected Field` | `getNextField(Position p)`
`protected Field` | `getNextUnprotected(Position p)`
`protected Field` | `getPrevUnprotected(Position p)`
`protected void` | `readField(java.lang.StringBuffer buf, Field field)`
`java.lang.String` | `readWholePageOrBuffer()`
`java.lang.String` | `readWithAddress(Position start, Position end)`
`protected java.lang.String` | `readWithAddress(Position start, Position end, boolean onlyUnprotected, boolean ignoreMdt)`
`java.lang.String` | `readWithAddressAll(Position start, Position end)`
`void` | `reset()`
`void` | `setAttribute(int attr)`
`void` | `setBufferAddress(int row, int col)`
`void` | `setCursorAddress(int row, int col)`
`void` | `updateCursorPosition()`
`protected void` | `updateDirty(Position start, Position end)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected ProtectBlockMode parent

### map

    protected FieldMap map

### ROWS

    protected int ROWS

### COLS

    protected int COLS

### cursor

    protected Position cursor

### buffer

    protected Position buffer

### HOME

    protected Position HOME

### END

    protected Position END

### defaultField

    protected FieldAttributes defaultField

Constructor Detail

### ProtectedScreen

    public ProtectedScreen(int rows,
                           int cols,
                           DataType dataTypeTable)

### ProtectedScreen

    public ProtectedScreen(ProtectBlockMode parent,
                           int rows,
                           int cols,
                           DataType dataTypeTable)

Method Detail

### reset

    public void reset()

### doBackspace

    public void doBackspace()

### doHTab

    public void doHTab()

### doLineFeed

    public void doLineFeed()

### doCarriageReturn

    public void doCarriageReturn()

### doBackTab

    public void doBackTab()

### doCursorUp

    public void doCursorUp()

### doCursorDown

    public void doCursorDown()

### doCursorRight

    public void doCursorRight()

### doCursorHomeDown

    public void doCursorHomeDown()

### doCursorHome

    public void doCursorHome()

### cursorToLastCharInField

    public void cursorToLastCharInField()

### cursorToNextUnprotected

    public void cursorToNextUnprotected(int numLines)

### setCursorAddress

    public void setCursorAddress(int row,
                                 int col)

### getCursorAddress

    public Position getCursorAddress()

### setBufferAddress

    public void setBufferAddress(int row,
                                 int col)

### getBufferAddress

    public Position getBufferAddress()

### addField

    public void addField(FieldAttributes attribs)

### addField

    public void addField(Position p,
                         FieldAttributes attribs)

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces(int startRow,
                                      int startCol,
                                      int endRow,
                                      int endColumn)

### doEraseToEndOfPageOrMemory

    public void doEraseToEndOfPageOrMemory(boolean atCursor)

### doEraseToEndOfLineOrField

    public void doEraseToEndOfLineOrField(boolean atCursor)

### doInsertLine

    public void doInsertLine()

### doDeleteLine

    public void doDeleteLine()

### doInsertCharacter

    public void doInsertCharacter(boolean atCursor)

### doDeleteCharacter

    public void doDeleteCharacter(boolean atCursor)

### doResetMoifiedDataTags

    public void doResetMoifiedDataTags()

### bufferWrite

    public void bufferWrite(char c)

### setAttribute

    public void setAttribute(int attr)

### cursorWrite

    public boolean cursorWrite(char c)

### cursorWrite

    public boolean cursorWrite(char c,
                               boolean insertMode)

### readField

    protected void readField(java.lang.StringBuffer buf,
                             Field field)

### readWithAddress

    protected java.lang.String readWithAddress(Position start,
                                               Position end,
                                               boolean onlyUnprotected,
                                               boolean ignoreMdt)

### readWholePageOrBuffer

    public java.lang.String readWholePageOrBuffer()

### readWithAddress

    public java.lang.String readWithAddress(Position start,
                                            Position end)

### readWithAddressAll

    public java.lang.String readWithAddressAll(Position start,
                                               Position end)

### getChars

    public char[] getChars(int row)

### getAttribs

    public int[] getAttribs(int row)

### back

    protected void back()

### back

    protected void back(Position p)

### back

    protected void back(Position p,
                        boolean recursive)

### forward

    protected void forward()

### forward

    protected void forward(Position p)

### updateCursorPosition

    public void updateCursorPosition()

### updateDirty

    protected void updateDirty(Position start,
                               Position end)

### getNextField

    protected Field getNextField(Position p)

### getNextUnprotected

    protected Field getNextUnprotected(Position p)

### getPrevUnprotected

    protected Field getPrevUnprotected(Position p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD